# Holoscan SDK

The **Holoscan SDK** is part of [NVIDIA Holoscan](https://developer.nvidia.com/holoscan-sdk), the AI sensor processing platform that combines hardware systems for low-latency sensor and network connectivity, optimized libraries for data processing and AI, and core microservices to run streaming, imaging, and other applications, from embedded to edge to cloud. It can be used to build streaming AI pipelines for a variety of domains, including Medical Devices, High Performance Computing at the Edge, Industrial Inspection and more.

## Table of Contents

- [Getting Started](#getting-started)
- [Obtaining the Holoscan SDK](#obtaining-the-holoscan-sdk)
- [Troubleshooting and Feedback](#troubleshooting-and-feedback)
- [Additional Notes](#additional-notes)

## Getting Started

Visit the Holoscan User Guide to get started with the Holoscan SDK: <https://docs.nvidia.com/holoscan/sdk-user-guide/getting_started.html>

The Holoscan User Guide includes:
- An introduction to the NVIDIA Holoscan platform, including the Holoscan C++/Python SDK;
- Requirements and setup steps;
- Detailed SDK documentation, including a developer introduction, examples, and API details.

We also recommend visiting [NVIDIA HoloHub](https://github.com/nvidia-holoscan/holohub) to view
community projects and reusable components available for your Holoscan project.

## Troubleshooting and Feedback

We appreciate community discussion and feedback in support of Holoscan platform users and developers. We ask that users:
- Review the [Holoscan SDK Frequently Asked Questions](FAQ.md) document for common solutions and workarounds.
- Direct questions to the [NVIDIA Support Forum](https://forums.developer.nvidia.com/c/healthcare/holoscan-sdk/320/all).
- Enter SDK issues on the [SDK GitHub Issues board](https://github.com/nvidia-holoscan/holoscan-sdk/issues).

## Contributing to Holoscan SDK

Holoscan SDK is developed internally and released as open source software. We welcome community contributions
and may include them in Holoscan SDK releases at our discretion. Please refer to the Holoscan SDK
[Contributing Guide](/CONTRIBUTING.md) for more information.
